import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene

    name = 'Text Top'
    location = (0, 0.06413, -0.43)
    scale = (0.022, 0.022, 0.022)

    bpy.ops.object.text_add()
    object = bpy.context.scene.objects.active
    object.location = location
    object.scale = scale
    object.name = name
    material = bpy.data.materials.new(name)
    object.data.materials.append(material)

    material.diffuse_color = (0.281, 0.281, 0.281)
    material.diffuse_intensity = 1
    material.specular_intensity = 1
    material.specular_hardness = 93
    object.data.align_x = 'CENTER'
    object.data.body = extraText
    object.data.extrude = (0.1 * (extraAmount * 2))
    object.data.bevel_depth = (0.01 * (extraAmount * 2))
    object.parent = camera
    object.layers = [False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, True]

    bpy.ops.object.lamp_add(type='POINT')
    lamp1 = bpy.context.scene.objects.active
    lamp1.name = name+' Lamp Front Right'
    lamp1.parent = object
    lamp1.location=(1.454, 1.1, 10.557)
    lamp1.data.energy = 0.5
    lamp1.data.use_own_layer = True
    lamp1.layers = [False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, True]
    bpy.ops.object.lamp_add(type='POINT')
    lamp2 = bpy.context.scene.objects.active
    lamp2.name = name+' Lamp Front Left'
    lamp2.parent = object
    lamp2.location=(-1.454, 1.1, 10.557)
    lamp2.data.energy = 0.5
    lamp2.data.use_own_layer = True
    lamp2.layers = [False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, True]
    bpy.ops.object.lamp_add(type='POINT')
    lamp3 = bpy.context.scene.objects.active
    lamp3.name = name+' Lamp Back'
    lamp3.parent = object
    lamp3.location=(0, 0.168, -11.44)
    lamp3.data.energy = 2.14
    lamp3.data.use_own_layer = True
    lamp3.data.distance = 56
    lamp3.layers = [False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, True]
