import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene

    bpy.ops.object.lamp_add(type='SUN', location=(0, 0, 0))
    lamp = bpy.context.scene.objects.active
    lamp.data.use_diffuse = False
    
    material = imagePlane.material_slots[0].material
    material.use_shadeless = False
    material.emit = 1
    material.specular_intensity = 1
    material.specular_hardness = 201 - (extraAmount * 200)
    
    lamp.animation_data_create()
    lampAction = bpy.data.actions.new('Sun Lamp Glint')
    lamp.animation_data.action = lampAction
    fcurve = lampAction.fcurves.new('rotation_euler', index=1)
    point = fcurve.keyframe_points.insert(frame=imageScene.frame_start, value=-3.1415926)
    point = fcurve.keyframe_points.insert(frame=imageScene.frame_end, value=3.1415926)
