import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    name = 'White Background'
    bpy.context.screen.scene = imageScene
    bpy.ops.mesh.primitive_plane_add(radius=2, location=(0, 0, -2))
    backgroundPlane = bpy.context.scene.objects.active
    backgroundPlane.name = name
    backgroundMaterial = bpy.data.materials.new(name)
    backgroundPlane.data.materials.append(backgroundMaterial)
    
    backgroundMaterial.diffuse_color = (extraAmount, extraAmount, extraAmount)
    backgroundMaterial.diffuse_intensity = 1
    backgroundMaterial.specular_intensity = 0
    backgroundMaterial.use_transparent_shadows = True
    backgroundMaterial.use_cast_buffer_shadows = False
    bpy.ops.object.lamp_add(type='SPOT', location=(0, 0, -0.58446))
    backgroundLamp = bpy.context.scene.objects.active
    backgroundLamp.data.energy = 2
    backgroundLamp.data.shadow_buffer_type = 'REGULAR'
    backgroundLamp.data.shadow_filter_type = 'GAUSS'
    backgroundLamp.data.shadow_buffer_soft = 100
    backgroundLamp.data.shadow_buffer_samples = 12
    backgroundLamp.data.shadow_buffer_size = 1024
    backgroundLamp.data.shadow_buffer_clip_end = 3
    backgroundLamp.data.spot_size = 1.43117
    backgroundLamp.data.distance = 5
    backgroundPlane.parent = camera
    backgroundLamp.parent = camera